PaymentMethod
Request
Path Parameters
sid
string
Required
EVO Cloud assigned store number, unique identifier for store.
Header Parameters
Authorization
string
Required
signature value
Content-type
string
Required
Specify application/json; charset=utf-8, which means the message body of the request and response must be in the JSON format, and the character encoding is UTF-8. It will be echoed back in the response message.
DateTime
string
Required
The time when the message is sent. The format follows ISO 8601, which is YYYY-MMDDThh:mm:ssTZD. For example, 2021-05-26T10:08:25+08:00. It will be echoed back in the response message.
KeyID
string
KeyID is a unique key identifier of up to 32 characters that is generated along with the signature key, and is only mandatory if the store is configured to use multi-level keys instead of just using store-level key.
MsgID
string
Required
An ID for a merchant to trace every API request. The suggested value is UUID or GUID, such as 2d21a5715c034efb7e0aa383b885fc7a. It is suggested to specify this value with no more than 32 characters in length. EVO Cloud will not validate this value and will echo it back in the response message.
- Usage Instruction
1. Field Type: String(1024)
SignType
string
Required
SHA256, SHA512, HMAC-SHA256, HMAC-SHA512
The method of the message being signed. It can be SHA256, SHA512, HMAC-SHA256 or HMAC-SHA512.
Idempotency-Key
string
Request idempotent identity, no more than 64 characters.
Query Parameters
merchantTransID
string<= 32 characters
The merchantTransInfo.merchantTransID of the initial request.
- Usage Instruction
1. For POST Capture, Refund, Cancel and DataSubmission. This field is the merchantTransInfo.merchantTransID of the initial Payment Request.
2. For PUT and GET request. This field is the merchantTransInfo.merchantTransID of the initial POST request.
3. Field type: String(32)
userReference
string<= 64 characters
The reference for the user. With this parameter specified, you can retrieve all of the Payment Method(s) saved for the specific user.
- Usage Instruction
1. For GET PaymentMethod, merchant can send this field in query URL
2. Field type: String(64)
token
string<= 64 characters
The token value for a specific saved Payment Method. With this parameter specified, you can retrieve the specific Payment Method saved with this token value.
1. For PUT PaymentMethod or GET PaymentMethod, merchant can send this field in query URL to update or query token.
2. Field type: String(64)
cardBIN
string<= 10 characters
This is used to indicate the card BIN.
- Usage Instruction:
1. For GET PaymentMethod, merchant can send this field in query URL.
2. The minimum length is 6
3. Field Type: String(10)
paymentBrand
string<= 32 characters
This is used to indicate the payment brand
- Value defined
The accepted values of this field, please refer to the Appendix 8.8 payment brands
- Usage Instruction:
1. For GET PaymentMethod, merchant can send this field in query URL.
2. Field Type: String(32)
currency
string<= 3 characters
This field is used to define the transaction currency.
- Usage Instruction
1. For GET PaymentMethod request, If merchant support multiple currency and the merchant wants to inquiry available payment method of one currency can send this filed.
tokenize
boolean
Used to indicate Inquiry the payment method which support tokenization
- Value definition
true: Inquiry the payment method which support tokenization
-Uasge Instruction
1. Default value is 'false'
amount
string<= 12 characters
This field is used to define the transaction amount.
- Usage Instruction
1. Example:if currency=HKD, 12.34 means 12.34 HKD, 30 means 30.00HKD; if currency=JPY, 1234 means 1234 JPY
2. This field must be used with field currency
Responses
200
GET
/g2/v1/payment/mer/{sid}/paymentMethodTry it
Server
https://online-uat.everonet.com
Path Parameters
Header Parameters
Query Parameters
Request Samples
cURL
curl -i -X GET \
'https://online-uat.everonet.com/g2/v1/payment/mer/{sid}/paymentMethod?merchantTransID=string&userReference=string&token=string&cardBIN=string&paymentBrand=string¤cy=string&tokenize=string&amount=string' \
-H 'Authorization: string' \
-H 'Content-type: application/json' \
-H 'DateTime: string' \
-H 'KeyID: string' \
-H 'MsgID: string' \
-H 'SignType: string' \
-H 'Idempotency-Key: string'JavaScript
const query = new URLSearchParams({
"merchantTransID": "string",
"userReference": "string",
"token": "string",
"cardBIN": "string",
"paymentBrand": "string",
"currency": "string",
"tokenize": "string",
"amount": "string"
}).toString()
const sid = 'YOUR_sid_PARAMETER';
fetch(
`https://online-uat.everonet.com/g2/v1/payment/mer/${sid}/paymentMethod?${query}`,
{
method: 'get',
headers: {
'Authorization': 'string',
'Content-type': 'application/json',
'DateTime': 'string',
'KeyID': 'string',
'MsgID': 'string',
'SignType': 'string',
'Idempotency-Key': 'string'
}
})
.then(response => response.json())
.then(data => console.log(data));Response Samples
200
application/json
json

